Bug 1104916 - IllegalStateException: previousClusterSize[5] and newClusterSize[4] is not supported when undeploying storage node
Summary: IllegalStateException: previousClusterSize[5] and newClusterSize[4] is not su...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Storage Node
Version: 4.10
Hardware: Unspecified
OS: Unspecified
unspecified
urgent vote
Target Milestone: GA
: RHQ 4.12
Assignee: John Sanda
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 1104647
TreeView+ depends on / blocked
 
Reported: 2014-06-05 03:15 UTC by John Sanda
Modified: 2014-12-15 11:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1104647
Environment:
Last Closed: 2014-12-15 11:36:30 UTC


Attachments (Terms of Use)

Description John Sanda 2014-06-05 03:15:04 UTC
+++ This bug was initially created as a clone of Bug #1104647 +++

Description of problem:
I had 6 storage nodes and I wanted to undeploy them one by one. First was undeployed succesfully but second was not and it stayed in LEAVING cluster status and following exception was thrown to server.log:

Caused by: java.lang.IllegalStateException: previousClusterSize[5] and newClusterSize[4] is not supported

Version-Release number of selected component (if applicable):
Version :	
3.2.0.GA Update 02
Build Number :	
055b880:0620403

How reproducible:
1/1

Steps to Reproduce:
1. have 6 storage nodes all in status NORMAL
2. undeploy one of them and wait until it is gone
3. undeploy another one

Actual results:
Storage node stayed in status LEAVING and following exception was thrown to server.log

Caused by: java.lang.IllegalStateException: previousClusterSize[5] and newClusterSize[4] is not supported

Expected results:
No errors

Additional info:
Complete server.log attached

--- Additional comment from Filip Brychta on 2014-06-04 08:37:19 EDT ---



--- Additional comment from Filip Brychta on 2014-06-04 08:47:35 EDT ---

Status of the storage node is LEAVING even after restart of the node and jon server and 'Undeploy Selected' is disabled for all nodes.

--- Additional comment from Filip Brychta on 2014-06-04 08:50:02 EDT ---

Oracle DB is used

--- Additional comment from John Sanda on 2014-06-04 10:08:06 EDT ---

I am changing the severity of this to urgent because the undeploy process is essentially broken for a cluster size > 4.

Comment 1 John Sanda 2014-06-05 03:20:08 UTC
fixed in master

commit hash: 7c05050c6ea8

Comment 2 Filip Brychta 2014-06-09 10:39:08 UTC
Verified on
Version :	
4.12.0-SNAPSHOT
Build Number :	
4745403

Comment 3 Heiko W. Rupp 2014-12-15 11:36:30 UTC
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.


Note You need to log in before you can comment on or make changes to this bug.